Bug 809704 - beaker scripts in custom kickstart don't log to /dev/console
beaker scripts in custom kickstart don't log to /dev/console
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity high (vote)
: 0.9.0
: ---
Assigned To: Dan Callaghan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 02:33 EDT by Marian Ganisin
Modified: 2012-06-26 02:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 02:41:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian Ganisin 2012-04-04 02:33:27 EDT
Beaker specific post-installation scripts in kickstart log into /dev/console. This isn't true in case of custom kickstart defined via <kickstart/>. Appended beaker specific scripts do not have --log defined.
Comment 1 Dan Callaghan 2012-05-21 00:41:45 EDT
This is made slightly more awkward by the fact that RHEL3 does not support --log so we have to put the scriptlet in a subshell and redirect it for RHEL3. But it is still doable.
Comment 2 Dan Callaghan 2012-05-21 01:10:53 EDT
On Gerrit: http://gerrit.beaker-project.org/1076
Comment 4 Dan Callaghan 2012-06-26 02:41:29 EDT
Beaker 0.9.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.